//*****************************************************************************************************************************************************************************************
//***************************************************************************  Arduino UNO simulator met Java  ****************************************************************************
//*******************************************************************  Copyright by Marc Van Den Berge en Louis D'hont  *******************************************************************
//*****************************************************************************************************************************************************************************************

#include "SimulatorProgram.h"

/*
  Fading

  This example shows how to fade an LED using the analogWrite() function.

  The circuit:
   LED attached from digital pin 9 to ground.

  Created 1 Nov 2008
  By David A. Mellis
  modified 30 Aug 2011
  By Tom Igoe

  http://arduino.cc/en/Tutorial/Fading

  This example code is in the public domain.

*/


int ledPin = 9;    // Take a analog output slider (pwm9) for simulating fading the led


void setup() {

  Serial.begin(9600);
  inString.reserve(10);
}


void loop() {

  // fade in from min to max
  for (int fadeValue = 0 ; fadeValue <= 1023; fadeValue += 5) {
    AnalogWrite(ledPin, fadeValue);
    delay(30);
  }

  // fade out from max to min
  for (int fadeValue = 1023 ; fadeValue >= 0; fadeValue -= 5) {
    AnalogWrite(ledPin, fadeValue);
    delay(30);
  }

}



