//*****************************************************************************************************************************************************************************************
//***************************************************************************  Arduino UNO simulator met Java  ****************************************************************************
//*******************************************************************  Copyright by Marc Van Den Berge en Louis D'hont  *******************************************************************
//*****************************************************************************************************************************************************************************************

#include "SimulatorProgram.h"

/*
  Multiple tone player
 
 Plays multiple tones on multiple pins in sequence
 
 circuit:
 * 3 8-ohm speaker on digital pins 6, 7, and 11
 
This example code is in the public domain.
 
 http://arduino.cc/en/Tutorial/Tone4
 
 */




void setup() { 
  

  Serial.begin(9600);                                
  inString.reserve(10);           

 
 }
 
 
void loop() { 

   // turn off tone function for pin 11:
   NoTone(8);			
  // play a note on pin 6 for 200 ms:
  Tone(8, 440, 200);
  delay(200);

  // turn off tone function for pin 6:
  NoTone(8);
  // play a note on pin 7 for 500 ms:
  Tone(8, 494, 500);
  delay(500);
  
  // turn off tone function for pin 7:
  NoTone(8);  
  // play a note on pin 11 for 500 ms:
  Tone(8, 523, 300);
  delay(300);


}
  


