//*****************************************************************************************************************************************************************************************
//********************************************************************************  Arduino UNO Simulator   *******************************************************************************
//*******************************************************************  Copyright by Marc Van Den Berge and Louis D'hont  ******************************************************************
//*****************************************************************************************************************************************************************************************

#include "SimulatorProgram.h"

int GREEN1 = 2;
int YELLOW1 = 3;
int RED1 = 4;

int GREEN2 = 6;
int YELLOW2 = 7;
int RED2 = 8;

void setup() {
  
  Serial.begin(9600);
  inString.reserve(10);

  pinMode(GREEN1, OUTPUT);
  pinMode(YELLOW1, OUTPUT);
  pinMode(RED1, OUTPUT);
  pinMode(GREEN2, OUTPUT);
  pinMode(YELLOW2, OUTPUT);
  pinMode(RED2, OUTPUT);   
}

void loop() {

  green_light();
  delay(5000);
  yellow_light();
  delay(2500);
  red_light();
  delay(5000);
  DigitalWrite(GREEN2, LOW);
  DigitalWrite(YELLOW2, HIGH);
  DigitalWrite(RED2, LOW);
  delay(2500);

}

void green_light() {

  DigitalWrite(GREEN2, LOW);
  DigitalWrite(YELLOW2, LOW);
  DigitalWrite(RED2, HIGH);
  delay(1500); 
  DigitalWrite(GREEN1, HIGH);
  DigitalWrite(YELLOW1, LOW);
  DigitalWrite(RED1, LOW);
}

void yellow_light() {

  DigitalWrite(GREEN1, LOW);
  DigitalWrite(YELLOW1, HIGH);
  DigitalWrite(RED1, LOW);
  delay(1000); 
  DigitalWrite(GREEN2, LOW);
  DigitalWrite(YELLOW2, LOW);
  DigitalWrite(RED2, HIGH);
}

void red_light() {

  DigitalWrite(GREEN1, LOW);
  DigitalWrite(YELLOW1, LOW);
  DigitalWrite(RED1, HIGH);
  delay(1500); 
  DigitalWrite(GREEN2, HIGH);
  DigitalWrite(YELLOW2, LOW);
  DigitalWrite(RED2, LOW);
}



